RUBY=ruby

debug:
	$(RUBY) bin/qwikweb-server -d
#	$(RUBY) bin/qwikweb -d -p 80

run:
	$(RUBY) bin/qwikweb-server

test:
	cd lib/t; make; cd ../..

version:
	$(RUBY) make.rb -v

manifest:	version
	$(RUBY) make.rb -m

dist:	manifest
	$(RUBY) make.rb -d

upload:	dist
	$(RUBY) make.rb -u

dir:
	-mkdir cache
	-mkdir data
	-mkdir data/www
	-mkdir etc
	-mkdir grave
	-mkdir log

clean:
	-rm *~

#	rm MANIFEST
